package cn.com.ty.lift.system.user.dao.mapper;

import cn.com.ty.lift.system.user.dao.entity.MTCompanyUser;
import cn.com.ty.lift.system.user.dao.entity.model.MTCompany;
import cn.com.xwy.boot.mybatis.MyBatisMapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * MyBatis Mapper 接口 - 表：mt_company_user
 * @since 2019-12-03 16:55:27
 */
@MyBatisMapper
public interface MTCompanyUserMapper extends BaseMapper<MTCompanyUser> {
	int deleteByPrimaryKey(Long id);

	int insert(MTCompanyUser record);

	int insertSelective(MTCompanyUser record);

	MTCompanyUser selectByPrimaryKey(Long id);

	int updateByPrimaryKeySelective(MTCompanyUser record);

	int updateByPrimaryKey(MTCompanyUser record);

	/**
	 * @description 通过公司请求数据获取公司用户数据
	 * @date 2019/11/27 10:03 AM
	 * @param
	 * @return
	 */
    MTCompanyUser findByMTCompany(MTCompany mtCompany);
}